> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/bmc/bare-metal-instance/describeinstancetraffic.md).

# DescribeInstanceTraffic

## 1. API Description

This API (DescribeInstanceTraffic) is used to query the data transfer in the specified date range.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

* <mark style="color:blue;">The date range of 24 hours are supported.</mark>
* <mark style="color:blue;">Only the data transfer within 30 days are supported to query.</mark>
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description                                                                                             |
| -------------- | -------- | ------ | ------------------------------------------------------------------------------------------------------- |
| startTime      | Yes      | String | <p>Start time.</p><p>Use UTC time according to the ISO8601 standard. Format: YYYY-MM-ddTHH:mm:ssZ .</p> |
| endTime        | Yes      | String | <p>End time.</p><p>Use UTC time according to the ISO8601 standard. Format: YYYY-MM-ddTHH:mm:ssZ .</p>   |
| instanceId     | Yes      | String | Instance ID.                                                                                            |

## 3. Output Parameters

| Parameter Name          | Type                                                                                            | Description                                                                                                           |
| ----------------------- | ----------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId               | String                                                                                          | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| dataList                | Array of [InstanceTrafficData](/api-reference/compute/bmc/datastructure.md#instancetrafficdata) | List of bandwidth data.                                                                                               |
| in95                    | Integer                                                                                         | Inbound burstable 95th bandwidth.                                                                                     |
| in95Time                | String                                                                                          | <p>Time of inbound burstable 95th bandwidth.</p><p>Format: YYYY-MM-ddTHH:mm:ssZ .</p>                                 |
| inAvg                   | Integer                                                                                         | Average value of inbound bandwidth.                                                                                   |
| inMax                   | Integer                                                                                         | Maximum value of inbound bandwidth.                                                                                   |
| inMin                   | Integer                                                                                         | Minimum value of inbound bandwidth.                                                                                   |
| inTotal                 | Integer                                                                                         | Total data transfer of inbound bandwidth.                                                                             |
| out95                   | Integer                                                                                         | Outbound burstable 95th bandwidth.                                                                                    |
| out95Time               | String                                                                                          | <p>Time of outbound burstable 95th bandwidth.</p><p>Format: YYYY-MM-ddTHH:mm:ssZ .</p>                                |
| outAvg                  | Integer                                                                                         | Average value of outbound bandwidth.                                                                                  |
| outMax                  | Integer                                                                                         | Maximum value of outbound bandwidth.                                                                                  |
| outMin                  | Integer                                                                                         | Minimum value of outbound bandwidth.                                                                                  |
| outTotal                | Integer                                                                                         | Total data transfer of outbound bandwidth.                                                                            |
| maxBandwidth95ValueMbps | Float                                                                                           | <p>Maximum value of burstable 95th bandwidth.</p><p>Unit: Mbps.</p>                                                   |
| totalUnit               | String                                                                                          | Unit of total data transfer. For example, B .                                                                         |
| unit                    | String                                                                                          | Unit of bandwidth. For example, bps .                                                                                 |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Query the data transfer of the instance in one day.**

```json
POST /api/v2/bmc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeInstanceTraffic
<Common Request Params>

Request:
{
  "instanceId": "932237369560662463",
  "startTime": "2023-07-11T06:50:36Z",
  "endTime": "2023-07-11T07:10:36Z"
}

Response:
{
  "requestId": "T6F6F4A31-EAEE-45DD-ABB2-78A4196E3743",
  "response": {
    "requestId": "T6F6F4A31-EAEE-45DD-ABB2-78A4196E3743",
    "dataList": [
      {
        "internetRX": "144056",
        "internetTX": "2936",
        "time": "2023-07-11T06:55:00Z"
      },
      {
        "internetRX": "107104",
        "internetTX": "2568",
        "time": "2023-07-11T07:00:00Z"
      },
      {
        "internetRX": "93448",
        "internetTX": "3880",
        "time": "2023-07-11T07:05:00Z"
      },
      {
        "internetRX": "106504",
        "internetTX": "5800",
        "time": "2023-07-11T07:10:00Z"
      }
    ],
    "in95": "144056",
    "in95Time": "2023-07-11T06:55:00Z",
    "inAvg": "112778",
    "inMax": "144056",
    "inMin": "93448",
    "inTotal": "16916700",
    "out95": "5800",
    "out95Time": "2023-07-11T07:10:00Z",
    "outAvg": "3796",
    "outMax": "5800",
    "outMin": "2568",
    "outTotal": "569400",
    "maxBandwidth95ValueMbps": "0.14",
    "totalUnit": "B",
    "unit": "bps"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                    | Description              |
| ---------------- | ----------------------------- | ------------------------ |
| 404              | INVALID\_INSTANCE\_NOT\_FOUND | Instance does not exist. |
